Bug 627224 - Review Request: perl-Net-Telnet-Cisco - Interact with a Cisco router
Summary: Review Request: perl-Net-Telnet-Cisco - Interact with a Cisco router
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Stephen Gallagher
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 628594 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-25 12:29 UTC by Colin Coe
Modified: 2010-09-17 17:33 UTC (History)
3 users (show)

Fixed In Version: perl-Net-Telnet-Cisco-1.10-3.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-09-11 03:33:22 UTC
Type: ---
sgallagh: fedora-review+
petersen: fedora-cvs+


Attachments (Terms of Use)

Description Colin Coe 2010-08-25 12:29:42 UTC
Spec URL: http://members.iinet.net.au/~coec/RPMS_for_review/perl-Net-Telnet-Cisco/perl-Net-Telnet-Cisco.spec
SRPM URL: http://members.iinet.net.au/~coec/RPMS_for_review/perl-Net-Telnet-Cisco/perl-Net-Telnet-Cisco-1.10-1.fc13.src.rpm
Description: This module provides additional functionality to Net::Telnet for dealing with Cisco routers.

Comment 1 Colin Coe 2010-08-26 14:15:59 UTC
[coec@bob ~]$ rpmlint /home/coec/rpmbuild/SPECS/perl-Net-Telnet-Cisco.spec /home/coec/rpmbuild/SRPMS/perl-Net-Telnet-Cisco-1.10-2.fc13.src.rpm
1 packages and 1 specfiles checked; 0 errors, 0 warnings.
[coec@bob ~]$ 

Spec URL:
http://members.iinet.net.au/~coec/RPMS_for_review/perl-Net-Telnet-Cisco/perl-Net-Telnet-Cisco.spec
SRPM URL:
http://members.iinet.net.au/~coec/RPMS_for_review/perl-Net-Telnet-Cisco/perl-Net-Telnet-Cisco-1.10-2.fc13.src.rpm

Comment 2 Colin Coe 2010-08-30 23:33:14 UTC
*** Bug 628594 has been marked as a duplicate of this bug. ***

Comment 3 Stephen Gallagher 2010-08-31 14:21:56 UTC
Review does not pass: see below.

#  MUST: rpmlint must be run on every package. The output should be posted in the review.[1]
FAIL
perl-Net-Telnet-Cisco.noarch: W: spurious-executable-perm /usr/share/doc/perl-Net-Telnet-Cisco-1.10/Changes
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

perl-Net-Telnet-Cisco.noarch: E: script-without-shebang /usr/share/perl5/Net/Telnet/Cisco.pm
This text file has executable bits set or is located in a path dedicated for
executables, but lacks a shebang and cannot thus be executed.  If the file is
meant to be an executable script, add the shebang, otherwise remove the
executable bits or move the file elsewhere.

2 packages and 0 specfiles checked; 1 errors, 1 warnings.


# MUST: The package must be named according to the Package Naming Guidelines .
PASS

# MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. [2] .
PASS

# MUST: The package must meet the Packaging Guidelines .
FAIL (see rpmlint output)

# MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
PASS

# MUST: The License field in the package spec file must match the actual license. [3]
PASS

# MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.[4]
N/A

# MUST: The spec file must be written in American English. [5]
PASS

# MUST: The spec file for the package MUST be legible. [6]
PASS

# MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
PASS

# MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. [7]
PASS (scratch-build in Koji for Fedora 13: http://koji.fedoraproject.org/koji/taskinfo?taskID=2437290 )

# MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line. [8]
N/A

# MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
PASS

# MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.[9]
N/A

# MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. [10]
N/A

# MUST: Packages must NOT bundle copies of system libraries.[11]
PASS

# MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker. [12]
N/A

# MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. [13]
PASS

# MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)[14]
PASS

# MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line. [15]
PASS

# MUST: Each package must consistently use macros. [16]
PASS

# MUST: The package must contain code, or permissable content. [17]
PASS

# MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). [18]
N/A

# MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. [18]
PASS

# MUST: Header files must be in a -devel package. [19]
N/A

# MUST: Static libraries must be in a -static package. [20]
N/A

# MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package. [19]
N/A

# MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release} [21]
N/A

# MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.[20]
N/A

# MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. [22]
N/A

# MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. [23]
PASS

# MUST: All filenames in rpm packages must be valid UTF-8. [24]
PASS

Comment 4 Stephen Gallagher 2010-08-31 14:22:36 UTC
Correction, I copied the wrong scratch-build location. The right one is:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2437347

Comment 5 Colin Coe 2010-09-01 23:23:12 UTC
Thank you for this review.  I believe I have resolved these problems now.

[root@rpm02 SPECS]# rpmlint -i perl-Net-Telnet-Cisco.spec /var/lib/mock/hp-rhel-5-x86_64/result/perl-Net-Telnet-Cisco-1.10-3.el5.{noarch,src}.rpm
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

[root@rpm02 SPECS]# ls -l /var/lib/mock/hp-rhel-5-x86_64/result/perl-Net-Telnet-Cisco-1.10-3.el5.*rpm
-rw-r--r-- 1 root mock 27029 Sep  2 07:23 /var/lib/mock/hp-rhel-5-x86_64/result/perl-Net-Telnet-Cisco-1.10-3.el5.noarch.rpm
-rw-r--r-- 1 root mock 20717 Sep  2 07:23 /var/lib/mock/hp-rhel-5-x86_64/result/perl-Net-Telnet-Cisco-1.10-3.el5.src.rpm
[root@rpm02 SPECS]# rpmlint -i perl-Net-Telnet-Cisco.spec /var/lib/mock/hp-rhel-5-x86_64/result/perl-Net-Telnet-Cisco-1.10-3.el5.{noarch,src}.rpm
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
[root@rpm02 SPECS]# rpm -qplv /var/lib/mock/hp-rhel-5-x86_64/result/perl-Net-Telnet-Cisco-1.10-3.el5.noarch.rpm
drwxr-xr-x    2 root    root                0 Sep  2 07:23 /usr/lib/perl5/vendor_perl/5.8.8/Net
drwxr-xr-x    2 root    root                0 Sep  2 07:23 /usr/lib/perl5/vendor_perl/5.8.8/Net/Telnet
-rw-r--r--    1 root    root            36438 Jun 19  2002 /usr/lib/perl5/vendor_perl/5.8.8/Net/Telnet/Cisco.pm
drwxr-xr-x    2 root    root                0 Sep  2 07:23 /usr/lib/perl5/vendor_perl/5.8.8/auto
drwxr-xr-x    2 root    root                0 Sep  2 07:23 /usr/lib/perl5/vendor_perl/5.8.8/auto/Net
drwxr-xr-x    2 root    root                0 Sep  2 07:23 /usr/lib/perl5/vendor_perl/5.8.8/auto/Net/Telnet
drwxr-xr-x    2 root    root                0 Sep  2 07:23 /usr/lib/perl5/vendor_perl/5.8.8/auto/Net/Telnet/Cisco
-rw-r--r--    1 root    root               95 Sep  2 07:23 /usr/lib/perl5/vendor_perl/5.8.8/auto/Net/Telnet/Cisco/autosplit.ix
drwxr-xr-x    2 root    root                0 Sep  2 07:23 /usr/share/doc/perl-Net-Telnet-Cisco-1.10
-rw-r--r--    1 root    root             2625 Jun 19  2002 /usr/share/doc/perl-Net-Telnet-Cisco-1.10/Changes
-rw-r--r--    1 root    root             1757 Apr  4  2002 /usr/share/doc/perl-Net-Telnet-Cisco-1.10/README
-rw-r--r--    1 root    root              200 Jun 19  2002 /usr/share/doc/perl-Net-Telnet-Cisco-1.10/TODO
-rw-r--r--    1 root    root             7989 Sep  2 07:23 /usr/share/man/man3/Net::Telnet::Cisco.3pm.gz
[root@rpm02 SPECS]#

(I don't have access to my F13 box right now, I hope doing this on RHEL5 is OK)

Spec URL: http://members.iinet.net.au/~coec/RPMS_for_review/perl-Net-Telnet-Cisco/perl-Net-Telnet-Cisco.spec
SRPM URL: http://members.iinet.net.au/~coec/RPMS_for_review/perl-Net-Telnet-Cisco/perl-Net-Telnet-Cisco-1.10-3.el5.src.rpm
RPM URL: http://members.iinet.net.au/~coec/RPMS_for_review/perl-Net-Telnet-Cisco/perl-Net-Telnet-Cisco-1.10-3.el5.noarch.rpm

Comment 6 Stephen Gallagher 2010-09-01 23:26:51 UTC
Review passes.

Comment 7 Colin Coe 2010-09-02 00:04:11 UTC
New Package CVS Request
=======================
Package Name: perl-Net-Telnet-Cisco
Short Description: Interact with a Cisco router  
Owners: coec
Branches: F-12 F-13 F-14 EL-5 EL-6
InitialCC: coec

Comment 8 Jens Petersen 2010-09-02 01:54:06 UTC
no need to initCC yourself as owner

Comment 9 Jens Petersen 2010-09-02 02:15:51 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2010-09-02 12:49:57 UTC
perl-Net-Telnet-Cisco-1.10-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/perl-Net-Telnet-Cisco-1.10-3.el5

Comment 11 Fedora Update System 2010-09-02 12:50:43 UTC
perl-Net-Telnet-Cisco-1.10-3.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/perl-Net-Telnet-Cisco-1.10-3.fc12

Comment 12 Fedora Update System 2010-09-02 12:51:47 UTC
perl-Net-Telnet-Cisco-1.10-3.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/perl-Net-Telnet-Cisco-1.10-3.fc13

Comment 13 Fedora Update System 2010-09-02 12:52:22 UTC
perl-Net-Telnet-Cisco-1.10-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-Net-Telnet-Cisco-1.10-3.fc14

Comment 14 Fedora Update System 2010-09-02 20:34:33 UTC
perl-Net-Telnet-Cisco-1.10-3.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Net-Telnet-Cisco'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/perl-Net-Telnet-Cisco-1.10-3.fc12

Comment 15 Fedora Update System 2010-09-02 21:49:16 UTC
perl-Net-Telnet-Cisco-1.10-3.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Net-Telnet-Cisco'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/perl-Net-Telnet-Cisco-1.10-3.el5

Comment 16 Fedora Update System 2010-09-11 03:33:17 UTC
perl-Net-Telnet-Cisco-1.10-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2010-09-11 09:02:49 UTC
perl-Net-Telnet-Cisco-1.10-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2010-09-11 09:06:56 UTC
perl-Net-Telnet-Cisco-1.10-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2010-09-17 17:33:16 UTC
perl-Net-Telnet-Cisco-1.10-3.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.